WordPress.org

Support

Support » Plugins and Hacks » User Role Editor » [Plugin: User Role Editor] plugin incompatibility: your 'pre_user_query' action is alterin

[Plugin: User Role Editor] plugin incompatibility: your 'pre_user_query' action is alterin

  • I’ve noticed that you set a ‘pre_user_query’ action hook to remove Admins from user queries.

    This is really bad as all other plugins trying to list users won’t be able to list admins. Those plugins will seem to be working correctly for the admin (because the action hook won’t apply to him) but will appear broken to other users, making the problem even more difficult to fix.

    Currently my workaround is to stop using your plugin. add_role, get_role et al. are actually good enough for the job.

    http://wordpress.org/extend/plugins/user-role-editor/

Viewing 1 replies (of 1 total)
  • Plugin Author Vladimir Garagulya

    @shinephp

    Excluding admin user from user list for all other users except admin is a security measure for those cases when admin delegates ‘list_users’, ‘edit_users’ capabilities to someone else, e.g. account operator – this helps to prohibit original admin user profile modification.

    May be I should not make it in global scope, but just for the ‘Users’ context… I will investigate this subject.

    Thanks for your message.

Viewing 1 replies (of 1 total)
  • The topic ‘[Plugin: User Role Editor] plugin incompatibility: your 'pre_user_query' action is alterin’ is closed to new replies.
Skip to toolbar